<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Performing Integer Overflow Attacks — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `analyze --binary <val>` | Identify integer overflow points |
| `fuzz --binary <val> --input-type <val>` | Fuzz integer boundaries |
| `exploit --binary <val> --value <val>` | Exploit integer overflow for memory corruption |
| `report --binary <val> --format <val>` | Generate exploitation report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--binary` | string | Yes | Binary parameter |
| `--input-type` | string | Yes | Input Type parameter |
| `--value` | string | Yes | Value parameter |
| `--format` | string | Yes | Format parameter |
